/**
 * @author Wenchang
 * @time Apr, 2002
 */

/** 
 * The constants used in the avs_isg demo experiment
 */
public interface ExperimentConst 
{
    String isgRoot = "/home/wyan/Infosphere/isg";
    String isgAvsRoot = isgRoot + "/tests/avs/Raw_data2C";
    String avsRoot = "/usr/local/mware/avs";
    String[] isgGenFileListAll = {isgAvsRoot+"/allNodes.hpp"};
    String[] isgGenFileListSender = {isgAvsRoot+"/Node000/avs_sender_node.h",
				     isgAvsRoot+
				     "/Node000/avs_sender_node.cpp"};
    String[] isgGenFileListReceiver = {isgAvsRoot+
				       "/Node001/avs_receiver_node.h",
				       isgAvsRoot+
				       "/Node001/avs_receiver_node.cpp"};
    //These are ONLY the demo src related to ECho, C/C++ source only
    String[] avsSourceFileList = {avsRoot+"/src/avs_raw.h",
				  avsRoot+"/src/avs_raw.c",
				  avsRoot+"/src/avs_source.c"};
    String[] avsSinkFileList = {avsRoot+"/player/avs_viewClient.h",
				avsRoot+"/player/avs_viewClient.cc"};

    //The string tag used to notify the change in the demo source
    String Rm = "//-";
    String Add = "//+";
    String Mod = "//!";
    String EChoRelated = "//*"; //ie. should be counted as space of calculation

    //The log file recorded the result of the performance test
    String PerformanceFile = avsRoot+"/src/time_rec";
}
