/**
 */

package avs;

import avs.ViewClient;
import java.io.*;

public class AdaptAvsUav_Impl extends AdaptAvsUavPOA
{
    public AdaptAvsUav_Impl(ViewClient vc) {
	System.out.println(" [AdaptAvsUav_Impl::cstr()");
	this.vc = vc;
    }

    public void undoAdapt(short trigger, java.lang.String filterInfo, 
			  org.omg.CORBA.ShortHolder result) {
	if (trigger == 1) {
	    short formatTagIdx = findFormatTagIdx(filterInfo);
	    java.lang.String streamlet, formatTag;
	    if (formatTagIdx != -1) {
	        streamlet = filterInfo.trim().substring(0,formatTagIdx);
		formatTag = filterInfo.trim().substring(formatTagIdx);
		short pingpong = 0;
		short build = 1;
		vc.sourceAdapt(streamlet, formatTag, pingpong, build);
	    }
	}
    }

    public void doAdapt(short trigger, java.lang.String filterInfo, 
			org.omg.CORBA.ShortHolder result) {
	if (trigger == 1) {
	    short formatTagIdx = findFormatTagIdx(filterInfo);
	    java.lang.String streamlet, formatTag;
	    if (formatTagIdx != -1) {
		//Sanity check
		//To be completed ...
	        streamlet = filterInfo.trim().substring(0,formatTagIdx);
		formatTag = filterInfo.trim().substring(formatTagIdx);
		
		//Need to create a new method in ViewClient
		//public void sourceAdapt(String streamletStr, 
		//    String formatTagStr, short pingpong, short rebuild)
		short pingpong = 1;
		short build = 1;

		vc.sourceAdapt(streamlet, formatTag, pingpong, build);
	    }
	}
    }

    public short findFormatTagIdx(java.lang.String st) {
	short i;
	java.lang.String s = st.trim();
	for (i = 0; i<s.length(); i++) {
	    if (s.charAt(i)<'5' && s.charAt(i)>'0') 
		break;
	}
	
	if (i==s.length()) 
	    return -1;
	else 
	    return i;
    }

    private ViewClient vc;
}
