/**
 * @author Wenchang
 * @time Feb, 2002
 * @file SourceFilter.java
 */

package avs;

public class SourceFilter {
    private FilterParam fp;
    private boolean available = false;

    public synchronized FilterParam get() {
        while (available == false) {
            try {
                wait();
            } catch (InterruptedException e) { }
        }
        available = false;
        notifyAll();
        return fp;
    }

    public synchronized void put(FilterParam fp) {
        while (available == true) {
            try {
                wait();
            } catch (InterruptedException e) { }
        }
        this.fp = fp;
        available = true;
        notifyAll();
    }
}


