// -*- mode: Java; c-basic-offset: 2; -*-
//
//
//  $Id: StreamNode.java,v 1.1.1.1 2003/06/11 18:48:58 wyan Exp $
//
//

package avs;

import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.image.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.tree.*;
import java.awt.geom.*;  // for 2D graphics stuff


public class StreamNode 
{
  public String desc;
  public String chanId;
  public String formatId;
  public String streamletId;
  public Object param;

  StreamNode (String d, String c, String f)
  {
    desc = d;
    chanId = c;
    formatId = f;
    streamletId = new String();
    param = null;
  }
  StreamNode (String d, String c, String f, String s)
  {
    this (d, c, f);
    streamletId = s;
    param = null;
  }
  StreamNode()
  {
    this ("", "", "", "");
  }
  StreamNode (StreamNode sn)
  {
    this (sn.desc, sn.chanId, sn.formatId, sn.streamletId);
    this.param = sn.param;
  }

  public String toString()
  {
    return desc;
  }
}

//
//
//  $Log: StreamNode.java,v $
//  Revision 1.1.1.1  2003/06/11 18:48:58  wyan
//  UAV1
//
//  Revision 1.3  2001/10/02 19:12:25  pmw
//  crop rectangle works, haven't tried to derive with it yet.  still can't get
//  anything but halfRate to install correctly.
//
//  Revision 1.2  2001/09/26 21:13:37  pmw
//  interim checkin so I don't lose anything
//
//  Revision 1.1  2001/09/21 21:28:57  pmw
//  interim checkin...
//
//  Revision 1.1  2001/09/18 20:39:17  pmw
//  fixed several UI issues.  not quite working... ALMOST!
//
//
//
