/**
 * @author Wenchang Yan
 * @date May, 2002
 * $Id: AvsQos.java,v 1.1.1.1 2003/06/11 18:48:51 wyan Exp $
 * AvsQos.java
 * This interface and other classes related to dynamic QoS adapation added
 * to the player version of the avs demo. Since the original player can
 * just apply QoS (manipulation of the PPM frames) manually, it's not
 * bad to apply the QoS dynamically under the condition of the bandwidth
 * and fps, etc. 
 * For now, there isnt much in the interface.
 */

package avs;

public interface AvsQos
{
    final int FREQ = 5;//the QoS info update freq in secs.
    //in Mbps. 
    //These 2 measurements are from real situation between the
    //2 laptops used in the demo. Ad-hoc mode wireless connection.
    //Needs to be adjusted if the hardware changes.
    final float BANDWIDTH_LOWER_LIMIT = 1.8f;
    final float BANDWIDTH_UPPER_LIMIT = 3.25f;
}


