/**
 * @author Wenchang Yan
 * @date Mar, 2002
 *
 * PlotPane.java
 * This interface and other classes related to dynamic plot drawing
 * use some function of the `graph' package developed by Leigh Brookshaw.
 * And some of the class in `graph' have been modified. E.g. Markers.java
 * has been modified to accept file instead of URL as configuration file
 * initialization.
 */

package avs;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import graph.*;

public interface PlotPane 
{
    final int FREQ = 5;//the graph update freq : 2 sec's
    final int MAX_NUM_POINTS = 16; //maximum points in the graph
    //The configuration file
    String mfile    = "../graph/marker.txt";
    final int MAX_FPS = 15;
    final int MAX_BANDWIDTH=10;/* USB controller max at 12Mbps */

    //The timer
    //javax.swing.Timer timer;
}


