
#ifndef _CONTROLCENTERS_H
#define _CONTROLCENTERS_H

#include "ControlCenterS.h"

class ControlCenterImpl : public virtual POA_ControlCenter
{
public:
  ControlCenterImpl();

  virtual void assignFilter(CORBA::ULong filter 
                            ACE_ENV_ARG_DECL_WITH_DEFAULTS/*,
			    CORBA::Environment &ACE_TRY_ENV = 
						  TAO_default_environment()*/)
    ACE_THROW_SPEC (( CORBA::SystemException ));

  //Fat operation.
  virtual void getMeasurements(CORBA::Float_out bw, CORBA::Long_out jitter,
			       CORBA::Long_out pkt_rate, CORBA::Float_out miss_rate,
			       CORBA::ULong_out last_seq_nr, CORBA::Float_out fps
			       ACE_ENV_ARG_DECL_WITH_DEFAULTS/* ,
			       CORBA::Environment &ACE_TRY_ENV = 
			       TAO_default_environment()*/ )
    ACE_THROW_SPEC (( CORBA::SystemException));
};
  
  
#endif
