
#ifndef _PPMREADER_H
#define _PPMREADER_H

#include "PPMP.h"

extern "C" {
#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>      
#include <getopt.h>

#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <string.h>
#include <signal.h>

}



//class Sender;

////////////////////////////////////////////////////////////////////////
class PPM_UDP_Reader : public PPMP_Sender 
{
 public:
  /*
  PPM_UDP_Reader(int mus, int pixelsize, int maxpixelperline, 
              PPM_frame_info& ppmfi, const char* host,
	    const char* receiver_host, int receiver_port);
  */
  PPM_UDP_Reader(int mus, int pixelsize, int maxpixelperline
		 /*, 
		   PPM_frame_info& ppmfi*/);

  virtual ~PPM_UDP_Reader();
  int send_fragment(const char *frag_buf, size_t len, 
		    const int src_id, const int seq,
		    const unsigned int filter_flag,
		    const unsigned short mark);

  void setPPMFrameInfo(int mus, PPM_frame_info& ppmfi);

 private:
  //char hostname[40];
  //char receiver_hostname[40];
  //struct hostent* h;
  //struct sockaddr_in receiver;
  //int sd;/*socket descriptor */
  //int portno;
};




#endif
