  datatype ByteArray
  {
    SIZE:integer
    buff:string
  }
  datatype IntArray
  {
    SIZE:integer
    buff:string
  }
  datatype FloatArray
  {
    SIZE:integer
    buff:string
  }
  filter GZIP
  {
    in:ByteArray
    out:ByteArray
  }
  filter LZO
  {
    in:ByteArray
    out:ByteArray
  }
  filter SHRINK
  {
    in:ByteArray
    out:ByteArray
  }
  filter GREY
  {
    in:ByteArray
    out:ByteArray
  }
  filter JPEG
  {
    in:ByteArray
    out:ByteArray
    param:integer
  }
  filter ENCRYPT
  {
    in:ByteArray
    out:ByteArray
  }
  profile fps_profile
  pipe Sender
  {
    outports
    {
      out1:ByteArray
    }
  }
  pipe Receiver
  {
    inports
    {
      in1:ByteArray
    }
  }
  composedPipe UAV
  {
    pipes
    {
      Sender:Sender
      Receiver:Receiver
    }
    connections
    {
      Sender.out1 -> Receiver.in1:fps_profile
    }
  }

