

#ifndef __LOCAL_VARS_H
#define __LOCAL_VARS_H 1

#include "datatypes.h"

#define WINDOWSIZE 10

/** Filters Installed  and User Prefs **
 *
 * FALSE:0 => Not Installed
 * TRUE: => Installed 
 *
 ************************************/

char haveLZO, haveGZIP, haveLossy, haveEncode, haveGrayscale, haveScale;
#define haveCompress (((haveLZO | haveGZIP)==0)?0:1)

char ifCompress, ifLossy, ifScale, ifGrayscale, ifEncode;
int target_fps;
/* Notes:
 * Always ifCompress AND (haveLZO | haveGZIP)
 *        ifScale AND haveScale
 *        ifLossy AND haveJPG
 *        ifEncode AND haveENC
 *        ifGrayscale AND haveENC
 *
 */

/*
 * Init local variables
 */

int init_local_vars();
#endif

