#include "../include/encrypt.h"


MCRYPT CreateContext(char *algorithm, char *mode) {
	MCRYPT td;

	td = mcrypt_module_open(algorithm, ALGORITHMS_DIR, mode, MODES_DIR);

	return td;
}

int CloseContext(MCRYPT crypt_context) {
	int result;

	result = mcrypt_module_close(crypt_context);

	return result;
}

int SetParams(void *crypt_context, char *key, char *IV) {
	MCRYPT *td;
	int keysize, result;

	td = (MCRYPT *) crypt_context;
	keysize = mcrypt_enc_get_key_size(*td);
	result = mcrypt_generic_init(*td, key, keysize, IV);

	return result;
}

int ResetParams(MCRYPT crypt_context) {
	int result;

	result = mcrypt_generic_deinit(crypt_context);

	return result;
}

int Encrypt(void *crypt_context, void *in, int insize, int *outsize) {
	MCRYPT *td;
	int size, result;
	
	td = (MCRYPT *) crypt_context;
/*	
	if (mcrypt_enc_is_block_mode(*td)!=0)
	    size = (insize / mcrypt_enc_get_block_size(*td))*mcrypt_enc_get_block_size(*td);
	else
	    size = insize;
*/
	*outsize = size = insize;

	result = mcrypt_generic(*td, in, size);

	return result;
}

int Decrypt(void *crypt_context, void *in, int insize, int *outsize) {
	MCRYPT *td;
	int result;

	td = (MCRYPT *) crypt_context;
	
	*outsize = insize;
	result = mdecrypt_generic(*td, in, insize);

	return result;
}
