#ifndef DOMERRORHANDLERDEFINED
#define DOMERRORHANDLERDEFINED

#include <sax/ErrorHandler.hpp>
#include <iostream>



// WARNING: this leaks memory!!!
class domErrorHandler : public ErrorHandler
{
public:
  domErrorHandler() : fSawErrors(false) {};
  ~domErrorHandler() {};
  virtual void    warning( const SAXParseException &ex ) 
    { cout << endl << "warning::";
      cout << "Line: " << ex.getLineNumber() << "Col: " << ex.getColumnNumber();
      cout << endl << DOMString(ex.getMessage()).transcode() << endl; };
  virtual void      error( const SAXParseException &ex )
    { cout << endl << "error::";
      cout << "Line: " << ex.getLineNumber() << "Col: " << ex.getColumnNumber();
      cout << endl << DOMString(ex.getMessage()).transcode() << endl; };
  virtual void fatalError( const SAXParseException &ex )
    { cout << endl << "fatalError::";
      cout << "Line: " << ex.getLineNumber() << "Col: " << ex.getColumnNumber();
      cout << endl << DOMString(ex.getMessage()).transcode() << endl; };

  virtual void resetErrors() { fSawErrors = false; return; };

  bool fSawErrors;
};

#endif // DOMERRORHANDLERDEFINED
