// isg.hpp - header file for the Infopipe Stub Generator

// Headers for dealing with XML
#include <util/PlatformUtils.hpp>
#include <sax/ErrorHandler.hpp>
#include <sax/SAXParseException.hpp>
#include <parsers/DOMParser.hpp>
// apparently must follow at least the util/PlatformUtils.hpp #include
#include <sax/SAXException.hpp>
#include <dom/DOM_DOMException.hpp>
#include <dom/DOM_NamedNodeMap.hpp>

// Other headers
#include <iostream.h>
#include <stdlib.h>

// util functions
#include "isgUtil.hpp"

#define FLAG_DUMP_NODESET     0x0001
#define FLAG_SPEC             0x0002
#define FLAG_TEMPLATE         0x0004
#define FLAG_PUBLISH_FILE     0x0008
#define FLAG_DUMP_TEMPLATE    0x0010
#define FLAG_ERROR            0x8000


extern unsigned int gFlags;



