<?xml version="1.0" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!-- this is a mapping of the infopipe types -->
<xsl:variable name="maptables" select="document('ECho2mapTables.xml')/mapTables"/>

<xsl:template name="makeOne">
<xsl:for-each select="/xip/composedPipe/declarations/pipe">
<file>
<name><xsl:value-of select="../../@name"/>/<xsl:value-of select="@name"/>/Makefile</name>
<content>
CC = gcc
LIBPATH=/usr/local/lib/
INCPATH=/usr/local/mware/echo -I/usr/local/mware/ecl -I/usr/local/mware/atl -I/usr/local/mware/gen_thread -I/usr/local/mware/cm -I/usr/local/mware/pbio

ISG=isg

#all: <xsl:value-of select="@name"/>TestDriver


<xsl:value-of select="@name"/>.o: <xsl:value-of select="@name"/>.c
	$(CC) -g -c <xsl:value-of select="@name"/>.c -I$(INCPATH) -I/users/c/chaos/include

#<xsl:value-of select="@name"/>: <xsl:value-of select="@name"/>.o ../allNodes.h
#	$(CC) -c -g -o <xsl:value-of select="@name"/> <xsl:value-of select="@name"/>.o -L$(LIBPATH) -L$(ISG_TEMPLATE_PATH) -L/users/c/chaos/linux/lib -lipEChortl -lIO -lecho -lcm -lecl -lnsl 

#<xsl:value-of select="@name"/>TestDriver.o: <xsl:value-of select="@name"/>TestDriver.c
#	$(CC) -g -c <xsl:value-of select="@name"/>TestDriver.c -I$(INCPATH) -I/users/c/chaos/include

#<xsl:value-of select="@name"/><thisNodeName/>TestDriver: <xsl:value-of select="@name"/><thisNodeName/>TestDriver.o <xsl:value-of select="@name"/><thisNodeName/>.o
#	$(CC) -g -o <xsl:value-of select="@name"/>TestDriver <xsl:value-of select="@name"/>TestDriver.o <xsl:value-of select="@name"/>.o  \
	-L$(LIBPATH) -L/users/c/chaos/linux/lib -L$(ISG_TEMPLATE_PATH) \
	-lIO -lecho -lcm -lecl -lnsl -lipEChortl

clean:
	rm <xsl:value-of select="@name"/> <xsl:value-of select="@name"/>.o
</content>
</file>
</xsl:for-each>
</xsl:template>

</xsl:stylesheet>
