
//////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
#ifndef AVS_SENDER_NODE_H
#define AVS_SENDER_NODE_H

//#include "../allNodes.hpp"
#include <sys/types.h>
#include <sys/stat.h>
//#include <iostream.h>
//#include <stdio.h>
//#include <stdlib.h>
//#include <string.h>
//#include <unistd.h>
//#include <fstream.h>
#include <errno.h>

// definition of publish types
#define PUBLISH_FILE  0x0001


// prototypes for the functions in the implementation file
void infopipeStartup( );
void infopipeShutdown( );

// functions publishing and looking up
int publish(char *pipe, char *connType, char *connName, char *str, int type);
int publishFile(char *pipe, char *connType, char *connName, char *str);
int unpublish(char *pipe, char *connType, char *connName, int type);
int unpublishFile(char *pipe, char *connType, char *connName);
char *lookup(char *pipe, char *nodeOrBranch, char *connPoint, int type, char *str);
char *lookupFile(char *pipe, char *connType, char *connName, char *str);


int Raw_data2C_node_Node000Submit( Raw_data_2CCarrierStruct * );


#endif
