/*
 * ppmdecoder.h:
 */

#ifndef _PPMDECODER_H
#define _PPMDECODER_H

#include "PPMP.h"

#define STARTCODE_PPM_HEADER  0x000001FF
#define STARTCODE_PPM_PICTURE 0x000001F0
//#define MUS 15360 
//#define MAXPIXELSIZE 3
//#define MAXLINESIZE 640

#define NEW_DISPLAYER 

#ifdef NEW_DISPLAYER

#include "display.h"

#endif


class PPMDecoder:public PPMP_Receiver
{
 public:
  PPMDecoder(int mus, int maxpixelsize, int maxlinesize);
  virtual ~PPMDecoder();
  virtual void decode_ppm(const char* msg, size_t len);
  virtual void setPPMFileInfo(const char* msg);
  virtual void PushbackPacket_PPM(const char* pck);
  //char* get_PPM_frame();

  virtual int process_whole_frame(const char *frame, size_t len);

 private:
  //PPMP_Receiver* receiver;
  unsigned long curr_PPM_frame_num;
  PPM_frame_info pfi;
  const char* next_packet;

  //Needed in negotiating frag size
  int MUS;
  int MAXPIXELSIZE;
  int MAXLINESIZE;

#ifdef NEW_DISPLAYER
  class VideoSink_X11 displayer;
#endif
};

#endif
