/*
 * $Id: cfg_info_parse.h,v 1.1.1.1 2003/06/11 21:16:01 wyan Exp $
 * $Log: cfg_info_parse.h,v $
 * Revision 1.1.1.1  2003/06/11 21:16:01  wyan
 * demoHarness
 *
 * Revision 1.2  2002/11/22 00:34:10  wyan
 * *** empty log message ***
 *
 * $Revision: 1.1.1.1 $
 */
/* File: cfg_info_parse.h */

#ifndef _CFG_INFO_PARSE_H
#define _CFG_INFO_PARSE_H

#include <sys/types.h>
#include <sys/stat.h>

#include <fcntl.h>
#include <glib.h>
#include <stdio.h>


extern GScannerConfig gsconfig;
extern GList* ALL_DEMO;


gint open_file_fd(gchar* path, int flags);
void parse_error(guint token);

/*Get the demo name */
guint parse_demo_name (GScanner* scanner);

/*Get the demo_cfg_file path */
guint parse_demo_cfg_file (GScanner* scanner);

guint parse_all_demo_statement (GScanner *scanner);

void parse_all_demo (GScanner* scanner);

/*Parse conf file for each different demo*/
void parse_conf_file(gchar* demo, GScanner* scanner);

guint parse_conf_statement (gchar* demo, GScanner *scanner);

guint parse_root_path ( GScanner* scanner,  gchar** root);

guint parse_file_names (gchar* demo,
			GScanner* scanner,  gchar* root, guint file_type);




#endif
