#! /bin/bash
# $Id: test.sh,v 1.1.1.1 2003/06/11 18:49:00 wyan Exp $
if [ $# -lt 1 ];
then 
    echo "Testing program Usage: $0 <running time in sec>"
    exit 1
fi


AVS_ROOT=/usr/local/mware/avs
Chan_id_file=$AVS_ROOT/Basic/chanId


#start the src
cd $AVS_ROOT/Basic
./source &

sleep 2 # wait for the Chan_id_file to be updated

if [[ ! -a $Chan_id_file ]];
then 
    echo " File $Chan_id_file Not exists"
    exit 1
else 
    echo " Chan_id_file is $Chan_id_file"
fi

Chan_id=$(cat $Chan_id_file)

if [[ -z $Chan_id ]]
then 
    echo " Chan_id null"
    exit 1
fi
 
#Stop the demo after $1 sec
sleep $1

kill -9 `ps -ef|grep source|grep -v grep|awk '{print $2}'` 

echo "Bye..." 
