#! /bin/bash
###################################################
# $Id: r.sh,v 1.1.1.1 2003/06/11 18:49:00 wyan Exp $
# The modified version of `testloop.sh' + `test.sh'.
# The test will be run on 2 different laptops. The
# receiver run this script.
###################################################

ROOT=/usr/local/mware
#The time value to run the demo stored in this file: in sec's
SHARE_DIR=$ROOT/share
RT_VALUE_FILE=$SHARE_DIR/rt_value_file
REECEIVER_KILLED=$SHARE_DIR/rcvr_finished
SENDER_KILLED=$SHARE_DIR/sender_finished
NR_LOOP=$SHARE_DIR/nr_loop

function receiver() {
    #Stop the demo after $1 sec
    while [[ ! -a $SENDER_KILLED ]]
    do 
	sleep 1
    done

    echo "Bye..." 

    if rm $SENDER_KILLED_FILE
    then 
      echo "$SENDER_KILLED_FILE removed "
    else 
      echo "No previous $SENDER_KILLED_FILE"
    fi

    kill -SIGINT `ps -ef|grep avs_source|grep -v grep|awk '{print $2}'` 

    touch $RECEIVER_KILLED
    
    echo "Bye..." 
}

##############################################

TIME=10
echo $TIME > $NR_LOOP
echo " $TIME output to $NR_LOOP ! "

LOOP=0

#Remove the previous log file
if rm $RT_VALUE_FILE;
then
  echo "Previous time_rec  removed"
else
  echo "No previous time_rec  exists"
fi

echo "wait sender script to start ..."

while [[ $LOOP -lt $TIME ]]
do 

  while [[ ! -a $RT_VALUE_FILE ]]
  do 
    sleep 3
    echo "loop ... $RT_VALUE_FILE "
  done

  echo " $RT_VALUE_FILE found"

  if rm $RT_VALUE_FILE;
    then 
      echo "$RT_VALUE_FILE removed "
    else 
      echo "No previous $RT_VALUE_FILE"
  fi

#  receiver 

  let "LOOP = LOOP + 1"
  echo -n "   Receiver $LOOP run ends >>>>>>>>>>>>>>>>>>"

  sleep 2
done
