#! /bin/bash
###################################################
# $Id: s.sh,v 1.1.1.1 2003/06/11 18:48:59 wyan Exp $
# The modified version of `testloop.sh' + `test.sh'.
# The test will be run on 2 different laptops. The
# sender run this script. 
# Start the receiver first !!!!!!!
###################################################

ROOT=/usr/local/mware
SHARE_DIR=$ROOT/share
#The time value to run the demo stored in this file: in sec's.
#But the value is NOT used. Just for indicating sender has started.
RT_VALUE_FILE=$SHARE_DIR/rt_value_file
RECEIVER_FINISHED=$SHARE_DIR/rcvr_finished
SENDER_FINISHED=$SHARE_DIR/sender_finished
NR_LOOP=$SHARE_DIR/nr_loop


function sender() {
    echo $1 > $RT_VALUE_FILE

    #Stop the demo after $1 sec
    sleep $1
    
    echo "Bye..." 
}



#Remove the previous log file
if rm $ROOT/UAV/src/time_rec 
then
  echo "Previous time_rec  removed"
else
  echo "No previous time_rec  exists"
fi

#TIME=10 # 10 times
LOOP=0
X0=1

#get the loop_nr of from the receiver
if [[ ! -a $NR_LOOP ]];
then 
  echo -n "File $NR_LOOP not exist"
  exit 1
else 
  TIME=$(cat $NR_LOOP)
  echo "$NR_LOOP==$TIME times will be run"
fi


while [[ $LOOP -lt $TIME ]]
do 
  touch $RT_VALUE_FILE 

  sleep 5
  echo "$RT_VALUE_FILE generated"

  
  let "LOOP = LOOP + 1"

  #wait for the player to end
  while [[ ! -a $RECEIVER_FINISHED ]]
  do 
    sleep 1
  done

  rm -f $RECEIVER_FINISHED
done
