#! /bin/bash

#Just call `test.sh' repeatedly

LOW=10 # 10 sec
HIGH=50 # 50 sec
function rng() {
    a=$1
    X=$2
    b=$3
    M=$4
    let "rn = (a * X + b) % M"
    echo $rn # get around the limit of integer value of 256 in return value
}

#Remove the previous log file
if rm /usr/local/mware/UAV/src/time_rec
then
  echo "Previous time_rec removed"
else
  echo "No previous time_rec exists"
fi

TIME=100 # 10 times
LOOP=0
X0=1
#X0=`date +%M` #if you want random seed from the current time - minute value

while [[ $LOOP -lt $TIME ]]
do 
#This is a bad PRNG, just can't use sth like the super-duper because
#the integer is too large
  #rng 7 $X0 0 101
  #X0=$?
  #echo $X0
  X0=`rng 13821 $X0 0 32768`

  let "remainder = X0 % HIGH" 
  #until find a number s.t. $LOW<= ? <=$HIGH
  echo -n "      >>>>>> X0 is $X0 "
  echo
  
  while [[ $remainder -lt $LOW ]]
    do 
      X0=`rng 13821 $X0 0 32768`
      let "remainder = X0 % HIGH" # rn still too large
      #let "tmp = X0"
      #echo -n "X0 is $tmp"
      echo -n "      >>>>>>> X0 is $X0"
    done


  #Call test.sh with X0 as parameter
  ./test.sh $remainder
  let "LOOP = LOOP + 1"
  echo -n "   time $remainder >>>>>>>>>>>>>>>>>>"
  sleep 2
done
