
#Just call `test.sh' repeatedly

LOW=10 # 10 sec
HIGH=50 # 20 sec
function rng() {
    a=$1
    X=$2
    b=$3
    M=$4
    let "rn = (a * X + b) % M"
    let "remainder = rn % HIGH"
    #until find a number s.t. $LOW<= ? <=$HIGH
    while [[ $remainder -lt $LOW || $remainder -gt $HIGH ]]
    do 
      let "X=rn"
      let "rn = (a * X + b) % M"
    done
    
    #return $rn 
    echo $rn # get around the limit of integer value of 256 in return value
}

TIME=10 # 10 times
LOOP=0
X0=1

while [[ $LOOP -lt $TIME ]]
do 
#This is a bad PRNG, just can't use sth like the super-duper because
#the integer is too large
  X0=`rng 13821 $X0 0 32768`
  #X0=$?
  let "SLP = X0 % HIGH"
  echo $SLP
  #Call test.sh with X0 as parameter
  let "LOOP = LOOP + 1"
done
