// -*- mode: Java; c-basic-offset: 2; -*-

//
//
//  $Id: FilterDialog.java,v 1.1.1.1 2003/06/11 18:48:51 wyan Exp $
//
//

package avs;

import java.io.*;
import java.util.*;
import java.lang.*;
import java.awt.*;
import java.awt.image.*;
import java.awt.event.*;
import java.awt.color.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.geom.*;  // for 2D graphics stuff

class FilterDialog
  extends JFrame
  implements ActionListener
{
  JTextArea txaFilter;
  JScrollPane scpFilter;
  JButton btnOK, btnApply, btnCancel;
  JPanel panFilter, panButtons;

  FilterDialog()
  {
    this ("");
  }

  FilterDialog (String fstring)
  {
    super ("avs filter");
    buildWindow (fstring);
    pack();
  }

  private void 
    buildWindow (String s)
  {
    getContentPane().setLayout (new BoxLayout (getContentPane(), BoxLayout.X_AXIS));
    panFilter = new JPanel();
    panButtons = new JPanel();
    panButtons.setLayout (new BoxLayout (panButtons, BoxLayout.Y_AXIS));

    txaFilter = new JTextArea (s);
    txaFilter.setRows (10);
    txaFilter.setColumns (40);
    txaFilter.addMouseListener (new MouseAdapter()
      {
        public void mouseClicked (MouseEvent e)
        {
          if (SwingUtilities.isMiddleMouseButton (e))
            txaFilter.paste();
        }
      });

    scpFilter = new JScrollPane (txaFilter);
    panFilter.setBorder (BorderFactory.createTitledBorder ("filter text"));
    panFilter.add (scpFilter);
    getContentPane().add (panFilter);
    
    getContentPane().add (Box.createHorizontalStrut (10));

    btnOK = new JButton ("ok");
    btnOK.addActionListener (this);
    btnApply = new JButton ("apply");
    btnApply.addActionListener (this);
    btnCancel = new JButton ("cancel");
    btnCancel.addActionListener (this);
    btnApply.setPreferredSize (btnCancel.getPreferredSize());
    btnOK.setPreferredSize (btnCancel.getPreferredSize());
    panButtons.add (btnOK);
    panButtons.add (Box.createVerticalStrut (5));
    panButtons.add (btnApply);
    panButtons.add (Box.createVerticalStrut (5));
    panButtons.add (btnCancel);

    getContentPane().add (panButtons);
  }

  public void actionPerformed (ActionEvent e)
  {
    if (e.getSource() == btnOK)
      {
        setVisible (false);
      }
    else if (e.getSource() == btnCancel)
      {
        setVisible (false);
      }
    else if (e.getSource() == btnApply)
      {
      }
  }
    
}

//
//
//  $Log: FilterDialog.java,v $
//  Revision 1.1.1.1  2003/06/11 18:48:51  wyan
//  UAV1
//
//  Revision 1.1  2001/09/29 04:15:57  pmw
//  moved FilterDialog class to its own source file
//
//
//
