/* -*-C-*-
*******************************************************************************
*
* File:         strlt.h
* RCS:          $Id: strlt.h,v 1.1.1.1 2003/06/11 18:49:01 wyan Exp $
* Description:  Streamlet for avs
* Author:       Fabian E. Bustamante
*               Systems Research Group
*               College of Computing
*               Georgia Institute of Technology
* Created:      Thu Jul 19, 2001 at 15:15:15
* Modified:     Tue Oct 02, 2001 at 23:33:14 fabianb@cc.gatech.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 2001, Georgia Institute of Technology, all rights reserved.
*
*******************************************************************************
*/

#ifndef STRLT_H
#define STRL_H 1

#include <common.h>

#include <io.h>

struct Streamlet_T_struct;

typedef struct Streamlet_T_struct *Streamlet_T;

extern Streamlet_T Strlt_new PARAMS(());
extern int Strlt_free PARAMS((Streamlet_T strlt));
extern int Strlt_init PARAMS((Streamlet_T strlt, char *path, char *name));
extern char *Strlt_getName PARAMS((Streamlet_T strlt));
extern char *Strlt_getCode PARAMS((Streamlet_T strlt));
extern char *Strlt_getInputChan PARAMS((Streamlet_T strlt));
extern char *Strlt_getOutputChan PARAMS((Streamlet_T strlt));
extern int Strlt_takesParams PARAMS((Streamlet_T strlt));
extern char *Strlt_getParams PARAMS((Streamlet_T strlt));

#endif /* !STRLT_H */
