/*------------------------------------------------------------------------------*/

/*
 * catImage: 
 *
 * Parameters: order = 0 -> left-to-right, = 1 -> top-to-bottom
 *
 * Returns: 
 *
 */

int 
catImage (Raw_data* inImage1, Raw_data* inImage2, Raw_data* outImage, int order)
{
  int col, row, indx1, indx2, outIndx;

  outImage->ppm1 = inImage1->ppm1;
  outImage->ppm2 = inImage1->ppm2;

  if (order == 0) {
    outImage->width = inImage1->width * 2;
    outImage->height = inImage1->height;
    indx1 = 0;
    indx2 = 0;
    outIndx = 0;
    for (row = 0; row < inImage1->height; ++row) {
      for (col = 0; col < inImage1->width; ++col) {
	outImage->buff[outIndx] = inImage1->buff[indx1]; /* red */
	outImage->buff[outIndx+1] = inImage1->buff[indx1+1]; /* green */
	outImage->buff[outIndx+2] = inImage1->buff[indx1+2]; /* blue */
	outIndx += 3;
	indx1 += 3;
      }
      for (col = 0; col < inImage1->width; ++col) {
	outImage->buff[outIndx] = inImage2->buff[indx2]; /* red */
	outImage->buff[outIndx+1] = inImage2->buff[indx2+1]; /* green */
	outImage->buff[outIndx+2] = inImage2->buff[indx2+2]; /* blue */
	outIndx += 3;
	indx2 += 3;
      }
    }
  } else {
    outImage->width = inImage1->width;
    outImage->height = inImage1->height * 2;

    outIndx = 0;
    indx1 = 0;
    for (row = 0; row < inImage1->height; ++row) {
      for (col = 0; col < inImage1->width; ++col) {
	outImage->buff[outIndx] = inImage1->buff[indx1]; /* red */
	outImage->buff[outIndx+1] = inImage1->buff[indx1+1]; /* green */
	outImage->buff[outIndx+2] = inImage1->buff[indx1+2]; /* blue */
	outIndx += 3;
	indx1 += 3;
      }
    }
    indx2 = 0;
    for (row = 0; row < inImage1->height; ++row) {
      for (col = 0; col < inImage1->width; ++col) {
	outImage->buff[outIndx] = inImage2->buff[indx2]; /* red */
	outImage->buff[outIndx+1] = inImage2->buff[indx2+1]; /* green */
	outImage->buff[outIndx+2] = inImage2->buff[indx2+2]; /* blue */
	outIndx += 3;
	indx2 += 3;
      }
    }
  }

  return 0;
} /* end catImage */
