{
  int row; 
  int col; 
  int outIndx; 
  int inIndx; 

  output.width = filter_data.width;
  output.height = filter_data.height; 
  if ((filter_data.x < 0) || (filter_data.x > input.width)) { 
    filter_data.x = 0; 
  } 
  if ((filter_data.y < 0) || (filter_data.y > input.height)) { 
    filter_data.y = 0; 
  } 
  if (output.width < 0 || output.width > input.width - filter_data.x) { 
    filter_data.x = input.width - output.width;
  } 
  if (output.height < 0 || output.height > input.height - filter_data.y) { 
    filter_data.y = input.height - output.height;
  } 
  output.ppm1 = input.ppm1; 
  output.ppm2 = input.ppm2; 

  for (row = 0; row < output.height; row = row + 1) { 
    for (col = 0; col < output.width; col = col + 1) {       
	outIndx = (row * output.width * 3) + (col * 3); 
	inIndx = ((filter_data.y + row) * input.width * 3) + 
                  (filter_data.x + col) * 3; 
	output.buff[outIndx] = input.buff[inIndx]; 
	output.buff[outIndx+1] = input.buff[inIndx+1]; 
	output.buff[outIndx+2] = input.buff[inIndx+2]; 
    } 
  } 
  output.size = output.width * output.height * 3 * 1; /* sizeof(u_char); */
  return 1;
}
