<xsl:stylesheet version="1.0"                                                
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template name="Receiver">
<xsl:param name="filters"/>
<file><name>receiver/receiver.c</name>

<content>

//&lt;block name="pipe_Receiver">
extern "C"{
	#include "Node000.h"
}

extern char *SERVERHOST;
extern double bytesRcvd;

double difftimes(struct timeval end, struct timeval start);
int fdShot;
char headerStr[16];

struct timeval start;
int img_count;
extern int control_thread, conn_done;

extern unsigned short port;              // SERVER PORT - TODO:FIX
int transfer()
{
	receiver_node_Node000Receive();
	return 0;
}

int main(int argc, char **argv)
{
	int i, j;
	struct timeval st, end;
	double d;
	int keySize;

	if(argc != 3)
	{
		printf("Usage:time ./receiver hostname(ipaddr) &lt;port no>\n");
		exit(0);
	}
	
	SERVERHOST = argv[1];
	port = atoi(argv[2]);
	
	infopipeStartup();

	img_count = 0;
	i=0;
	gettimeofday(&amp;st, NULL);
	bytesRcvd = 0;
	while (1) {
		transfer();
		if(conn_done == 1)
			break;
		i++;
	}
	gettimeofday(&amp;end, NULL);
	
	d= diff_time(st, end);

	printf("\nAverage fps:%d\n", (int)(i*1e6/d));
	
	while(!control_thread) sleep(1);
		infopipeShutdown();

	return 0;
}
//&lt;/block>
</content>
</file>
</xsl:template>
</xsl:stylesheet>
