
#ifndef	INFOPIPEALLNODESSHARE
#define	INFOPIPEALLNODESSHARE
//#include <iostream.h>
#include <stdio.h>
#include <stdlib.h>
//#include <string.h>
#include <unistd.h>

#include <io.h>
#include <cm.h>
#include <echo.h>
#include <gen_thread.h>


typedef struct Raw_dataStructDef
{
   int tag;
   char ppm1;
   char ppm2;
   int size;
   int width;
   int height;
   int maxval;
   char* buff;
  
  
} Raw_dataStruct, * Raw_dataStruct_ptr;

#define AVSIMAGE2C      230400  /* 320 * 240 - color */

typedef struct Raw_data_2CStructDef
{
   int tag;
   char ppm1;
   char ppm2;
   int size;
   int width;
   int height;
   int maxval;
   char buff[AVSIMAGE2C];
  
  
} Raw_data_2CStruct, * Raw_data_2CStruct_ptr;


#define AVSIMAGE2G      76800   /* 320 * 240 - grey  */

typedef struct Raw_data_2GStructDef
{
   int tag;
   char ppm1;
   char ppm2;
   int size;
   int width;
   int height;
   int maxval;
   char buff[AVSIMAGE2G];
  
  
} Raw_data_2GStruct, * Raw_data_2GStruct_ptr;

#define AVSIMAGE3C      57600   /* 160 * 120 - color */

typedef struct Raw_data_3CStructDef
{
   int tag;
   char ppm1;
   char ppm2;
   int size;
   int width;
   int height;
   int maxval;
   char buff[AVSIMAGE3C];
  
  
} Raw_data_3CStruct, * Raw_data_3CStruct_ptr;

#define AVSIMAGE3G      19200   /* 160 * 120 - grey  */

typedef struct Raw_data_3GStructDef
{
   int tag;
   char ppm1;
   char ppm2;
   int size;
   int width;
   int height;
   int maxval;
   char buff[AVSIMAGE3G];
  
  
} Raw_data_3GStruct, * Raw_data_3GStruct_ptr;

#define AVSIMAGE4C      14400   /* 80 *  60 - color */

typedef struct Raw_data_4CStructDef
{
   int tag;
   char ppm1;
   char ppm2;
   int size;
   int width;
   int height;
   int maxval;
   char buff[AVSIMAGE4C];
  
  
} Raw_data_4CStruct, * Raw_data_4CStruct_ptr;

#define AVSIMAGE4G      4800    /* 80 *  60 - grey  */

typedef struct Raw_data_4GStructDef
{
   int tag;
   char ppm1;
   char ppm2;
   int size;
   int width;
   int height;
   int maxval;
   char buff[AVSIMAGE4G];
  
  
} Raw_data_4GStruct, * Raw_data_4GStruct_ptr;


typedef struct Raw_dataCarrierStructDef
{
  
  Raw_dataStruct payload;
} Raw_dataCarrierStruct, *Raw_dataCarrierStruct_ptr;


typedef struct Raw_data_2CCarrierStructDef
{
  
  Raw_data_2CStruct payload;
} Raw_data_2CCarrierStruct, *Raw_data_2CCarrierStruct_ptr;


typedef struct Raw_data_2GCarrierStructDef
{
  
  Raw_data_2GStruct payload;
} Raw_data_2GCarrierStruct, *Raw_data_2GCarrierStruct_ptr;

typedef struct Raw_data_3CCarrierStructDef
{
  
  Raw_data_3CStruct payload;
} Raw_data_3CCarrierStruct, *Raw_data_3CCarrierStruct_ptr;

typedef struct Raw_data_3GCarrierStructDef
{
  
  Raw_data_3GStruct payload;
} Raw_data_3GCarrierStruct, *Raw_data_3GCarrierStruct_ptr;

typedef struct Raw_data_4CCarrierStructDef
{
  
  Raw_data_4CStruct payload;
} Raw_data_4CCarrierStruct, *Raw_data_4CCarrierStruct_ptr;

typedef struct Raw_data_4GCarrierStructDef
{
  
  Raw_data_4GStruct payload;
} Raw_data_4GCarrierStruct, *Raw_data_4GCarrierStruct_ptr;



extern IOField Raw_dataFieldList[];

extern CMFormatRec Raw_dataFormatList[];

extern IOField Raw_dataCarrierFieldList[];
  
extern IOField Raw_data_2CFieldList[];

extern CMFormatRec Raw_data_2CFormatList[];

extern IOField Raw_data_2CCarrierFieldList[];

extern IOField Raw_data_2GFieldList[];

extern CMFormatRec Raw_data_2GFormatList[];

extern IOField Raw_data_2GCarrierFieldList[];

extern IOField Raw_data_3CFieldList[];

extern CMFormatRec Raw_data_3CFormatList[];

extern IOField Raw_data_3CCarrierFieldList[];

extern IOField Raw_data_3GFieldList[];

extern CMFormatRec Raw_data_3GFormatList[];

extern IOField Raw_data_3GCarrierFieldList[];

extern IOField Raw_data_4CFieldList[];

extern CMFormatRec Raw_data_4CFormatList[];

extern IOField Raw_data_4CCarrierFieldList[];

extern IOField Raw_data_4GFieldList[];

extern CMFormatRec Raw_data_4GFormatList[];

extern IOField Raw_data_4GCarrierFieldList[];

#endif //	INFOPIPEALLNODESSHARE
