
// <block name="composedPipe_multiUAV">
#ifndef	INFOPIPEALLNODESSHARE
#define	INFOPIPEALLNODESSHARE
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <cm.h>
#include <io.h>
#include <echo.h>
#include <gen_thread.h>



// <block name="datatype_Raw_data">
typedef struct Raw_dataStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char  *buff;
  int buffSize; // = size;
  
  } Raw_dataStruct, * Raw_dataStruct_ptr;
// </block>

// <block name="datatype_Raw_data_1C">
typedef struct Raw_data_1CStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[921600];
  int buffSize; // = 921600;
  
  } Raw_data_1CStruct, * Raw_data_1CStruct_ptr;
// </block>

// <block name="datatype_Raw_data_1G">
typedef struct Raw_data_1GStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[307200];
  int buffSize; // = 307200;
  
  } Raw_data_1GStruct, * Raw_data_1GStruct_ptr;
// </block>

// <block name="datatype_Raw_data_1DC">
typedef struct Raw_data_1DCStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[1843200];
  int buffSize; // = 1843200;
  
  } Raw_data_1DCStruct, * Raw_data_1DCStruct_ptr;
// </block>

// <block name="datatype_Raw_data_1DG">
typedef struct Raw_data_1DGStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[614400];
  int buffSize; // = 614400;
  
  } Raw_data_1DGStruct, * Raw_data_1DGStruct_ptr;
// </block>

// <block name="datatype_Raw_data_2C">
typedef struct Raw_data_2CStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[230400];
  int buffSize; // = 230400;
  
  } Raw_data_2CStruct, * Raw_data_2CStruct_ptr;
// </block>

// <block name="datatype_Raw_data_2G">
typedef struct Raw_data_2GStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[76800];
  int buffSize; // = 76800;
  
  } Raw_data_2GStruct, * Raw_data_2GStruct_ptr;
// </block>

// <block name="datatype_Raw_data_2DC">
typedef struct Raw_data_2DCStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[1843200];
  int buffSize; // = 1843200;
  
  } Raw_data_2DCStruct, * Raw_data_2DCStruct_ptr;
// </block>

// <block name="datatype_Raw_data_2DG">
typedef struct Raw_data_2DGStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[614400];
  int buffSize; // = 614400;
  
  } Raw_data_2DGStruct, * Raw_data_2DGStruct_ptr;
// </block>

// <block name="datatype_Raw_data_3C">
typedef struct Raw_data_3CStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[57600];
  int buffSize; // = 57600;
  
  } Raw_data_3CStruct, * Raw_data_3CStruct_ptr;
// </block>

// <block name="datatype_Raw_data_3G">
typedef struct Raw_data_3GStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[19200];
  int buffSize; // = 19200;
  
  } Raw_data_3GStruct, * Raw_data_3GStruct_ptr;
// </block>

// <block name="datatype_Raw_data_3DC">
typedef struct Raw_data_3DCStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[1843200];
  int buffSize; // = 1843200;
  
  } Raw_data_3DCStruct, * Raw_data_3DCStruct_ptr;
// </block>

// <block name="datatype_Raw_data_3DG">
typedef struct Raw_data_3DGStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[614400];
  int buffSize; // = 614400;
  
  } Raw_data_3DGStruct, * Raw_data_3DGStruct_ptr;
// </block>

// <block name="datatype_Raw_data_4C">
typedef struct Raw_data_4CStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[14400];
  int buffSize; // = 14400;
  
  } Raw_data_4CStruct, * Raw_data_4CStruct_ptr;
// </block>

// <block name="datatype_Raw_data_4G">
typedef struct Raw_data_4GStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[4800];
  int buffSize; // = 4800;
  
  } Raw_data_4GStruct, * Raw_data_4GStruct_ptr;
// </block>

// <block name="datatype_Raw_data_4DC">
typedef struct Raw_data_4DCStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[1843200];
  int buffSize; // = 1843200;
  
  } Raw_data_4DCStruct, * Raw_data_4DCStruct_ptr;
// </block>

// <block name="datatype_Raw_data_4DG">
typedef struct Raw_data_4DGStructDef
{
  
  int tag;
  char ppm1;
  char ppm2;
  int size;
  int width;
  int height;
  int maxval;
  char buff[614400];
  int buffSize; // = 614400;
  
  } Raw_data_4DGStruct, * Raw_data_4DGStruct_ptr;
// </block>

// <block name="datatype_rectangle">
typedef struct rectangleStructDef
{
  
  int x;
  int y;
  int width;
  int height;
  
  } rectangleStruct, * rectangleStruct_ptr;
// </block>

// <block name="datatype_factor">
typedef struct factorStructDef
{
  
  int factor;
  
  } factorStruct, * factorStruct_ptr;
// </block>


#endif //	INFOPIPEALLNODESSHARE
// </block>
